Debian Bug report logs - #631018
[RFC] libevent 2.0 transition

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Leo 'costela' Antunes <costela@debian.org>

Date: Sun, 19 Jun 2011 18:15:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Sun, 19 Jun 2011 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Jun 2011 18:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: debian-release@lists.debian.org, costela@debian.org
Cc: Anibal Monsalve Salazar <anibal@debian.org>, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [RFC] libevent 2.0 transition
Date: Sun, 19 Jun 2011 20:11:56 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

On 06/19/2011 04:30 PM, Leo 'costela' Antunes wrote:
> [please CC]
>

Please subscribe to this (being filed) bugreport.

> Hi,
>
> I uploaded a new version of libevent to experimental which I'd like to migrate
> to unstable as soon as possible. Since I'm the new guy helping out with libevent
> and since this would be my first "bigish" transition, I'd like to run it by the
> release team to make sure I'm not stepping on anyone's toes.
>
> The new version is a jump from the 1.* series to the 2.* series, which certainly
> breaks the ABI, but shouldn't break the API for most cases. However, since
> libevent exposes a relatively big number of internal structures in the headers,
> there are ways to abuse the API in non-compatible ways.
>
> I've rebuild all reverse-build-deps against the new version and only 7 from the
> 32 fail to build (more details below).
> Now I intended to write to -devel with all affected maintainers CC'd, requesting
> further testing and input and after all have ack'd the problems and have
> solutions in place, I'd go ahead with the upload to unstable.
> Does this sound like a reasonable plan? Did I miss something important?
>
>
> About the FTBFSs:
> beanstalkd: syntax error; maybe using some changed define?
> ladvd: builds correctly, fails on 1 of 6 tests ("HTTP request failed")
> forked-daapd: includes event-config.h, which has been moved to
> event2/event-config.h (I could provide a compat-symlink)
> python-event: bona fide build failure (I couldn't grok the underlying reason
> just by looking at the log)
> memcached: ditto
> lua-event: ditto
> honeyd: doesn't seem related (configure: error: Couldn't figure out how to
> access libc)
>
>
> Cheers
>
> --
> Leo "costela" Antunes
> [insert a witty retort here]
>

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Changed Bug submitter to 'Leo 'costela' Antunes <costela@debian.org>' from 'Mehdi Dogguy <mehdi@dogguy.org>' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 19 Jun 2011 19:18:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 632764, 632765, 632762, and 632763 Request was from Leo 'costela' Antunes <costela@debian.org> to control@bugs.debian.org. (Tue, 05 Jul 2011 20:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Mon, 08 Aug 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-release@lists.debian.org, costela@debian.org, 631018@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 08 Aug 2011 11:15:07 GMT) Full text and rfc822 format available.

Message #14 received at 631018@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: debian-release@lists.debian.org
Cc: 631018@bugs.debian.org
Subject: Re: [RFC] libevent 2.0 transition
Date: Mon, 08 Aug 2011 13:03:29 +0200
[please CC]

Hi,

On 19/06/11 16:30, Leo 'costela' Antunes wrote:
> 
> I uploaded a new version of libevent to experimental which I'd like to
> migrate to unstable as soon as possible. Since I'm the new guy helping
> out with libevent and since this would be my first "bigish" transition,
> I'd like to run it by the release team to make sure I'm not stepping on
> anyone's toes.

<snip>

> Now I intended to write to -devel with all affected maintainers CC'd,
> requesting further testing and input and after all have ack'd the
> problems and have solutions in place, I'd go ahead with the upload to
> unstable.
> Does this sound like a reasonable plan? Did I miss something important?

I didn't get an explicit answer about this, so I thought I might ask
more directly: is it ok if I simply upload the new libevent to unstable?

FYI, from all the starting FTBFSs, more than half have been dealt with
or acknowledged by the respective maintainers:

beanstalkd:	fixed
ladvd:		fixed
forked-daapd:	version in experimental drops dependency
python-event:	(no answer to #632763)
memcached:	(no answer to #632764)
lua-event:	fixed
honeyd:		(no answer to #632765)


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Mon, 08 Aug 2011 20:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 08 Aug 2011 20:09:15 GMT) Full text and rfc822 format available.

Message #19 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: debian-release@lists.debian.org, costela@debian.org, 631018@bugs.debian.org
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Mon, 8 Aug 2011 22:05:31 +0200
On Mon, Aug  8, 2011 at 13:03:29 +0200, Leo 'costela' Antunes wrote:

> I didn't get an explicit answer about this, so I thought I might ask
> more directly: is it ok if I simply upload the new libevent to unstable?
> 
No, it's not.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Mon, 08 Aug 2011 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 08 Aug 2011 23:03:05 GMT) Full text and rfc822 format available.

Message #24 received at 631018@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
Cc: debian-release@lists.debian.org, 631018@bugs.debian.org
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Tue, 09 Aug 2011 01:01:53 +0200
On 08/08/11 22:05, Julien Cristau wrote:
> On Mon, Aug  8, 2011 at 13:03:29 +0200, Leo 'costela' Antunes wrote:
> 
>> I didn't get an explicit answer about this, so I thought I might ask
>> more directly: is it ok if I simply upload the new libevent to unstable?
>>
> No, it's not.

Ok, fair enough. So is there anything I can do to help get things going?
(assuming I *could* help)
Please don't take this as pressure. I just didn't see libevent popping
up in the list of planned transitions[0], so I thought it would be best
to ask instead of simply assuming I had to wait.


Cheers

[0] http://release.debian.org/transitions/
-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Tue, 09 Aug 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 09 Aug 2011 08:42:03 GMT) Full text and rfc822 format available.

Message #29 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Leo 'costela' Antunes <costela@debian.org>, 631018@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Tue, 9 Aug 2011 10:39:52 +0200
On Tue, Aug  9, 2011 at 01:01:53 +0200, Leo 'costela' Antunes wrote:

> On 08/08/11 22:05, Julien Cristau wrote:
> > On Mon, Aug  8, 2011 at 13:03:29 +0200, Leo 'costela' Antunes wrote:
> > 
> >> I didn't get an explicit answer about this, so I thought I might ask
> >> more directly: is it ok if I simply upload the new libevent to unstable?
> >>
> > No, it's not.
> 
> Ok, fair enough. So is there anything I can do to help get things going?

Basically help get the currently ongoing transitions done.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Wed, 07 Sep 2011 15:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Sep 2011 15:18:16 GMT) Full text and rfc822 format available.

Message #34 received at 631018@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: debian-release@lists.debian.org
Cc: costela@debian.org, 631018@bugs.debian.org
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Wed, 07 Sep 2011 17:17:25 +0200
Hi,

Any progress on this transition?

Thanks,
-- 
Romain Francoise <rfrancoise@debian.org>
http://people.debian.org/~rfrancoise/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Fri, 23 Sep 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 23 Sep 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 631018@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Leo 'costela' Antunes <costela@debian.org>, 631018@bugs.debian.org
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Fri, 23 Sep 2011 21:25:36 +0200
On 08/09/2011 01:01 AM, Leo 'costela' Antunes wrote:
> 
> So is there anything I can do to help get things going? (assuming I
> *could* help)

It would help to fix (at least) memcached (current RC bugs, and wrt
libevent 2.0) before starting the transition.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Mon, 21 Nov 2011 23:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 Nov 2011 23:27:08 GMT) Full text and rfc822 format available.

Message #44 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 631018@bugs.debian.org, costela@debian.org
Cc: Anibal Monsalve Salazar <anibal@debian.org>
Subject: Re: [RFC] libevent 2.0 transition
Date: Tue, 22 Nov 2011 00:22:57 +0100
On Sun, Jun 19, 2011 at 16:30:19 +0200, Leo 'costela' Antunes wrote:

> I uploaded a new version of libevent to experimental which I'd like to
> migrate to unstable as soon as possible. Since I'm the new guy helping
> out with libevent and since this would be my first "bigish" transition,
> I'd like to run it by the release team to make sure I'm not stepping on
> anyone's toes.
> 
Sorry for the delay.  I'd like iceweasel 8 to get to testing first, but
once that's done we should finally be able to do this.

Thanks again for your patience,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Thu, 24 Nov 2011 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 Nov 2011 22:57:07 GMT) Full text and rfc822 format available.

Message #49 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 631018@bugs.debian.org, costela@debian.org
Cc: Anibal Monsalve Salazar <anibal@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Thu, 24 Nov 2011 23:56:16 +0100
On Tue, Nov 22, 2011 at 00:22:57 +0100, Julien Cristau wrote:

> On Sun, Jun 19, 2011 at 16:30:19 +0200, Leo 'costela' Antunes wrote:
> 
> > I uploaded a new version of libevent to experimental which I'd like to
> > migrate to unstable as soon as possible. Since I'm the new guy helping
> > out with libevent and since this would be my first "bigish" transition,
> > I'd like to run it by the release team to make sure I'm not stepping on
> > anyone's toes.
> > 
> Sorry for the delay.  I'd like iceweasel 8 to get to testing first, but
> once that's done we should finally be able to do this.
> 
Should be all good now.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Thu, 24 Nov 2011 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 Nov 2011 23:18:03 GMT) Full text and rfc822 format available.

Message #54 received at 631018@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 631018@bugs.debian.org, Leo 'costela' Antunes <costela@debian.org>, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Fri, 25 Nov 2011 10:15:41 +1100
[Message part 1 (text/plain, inline)]
On Thu, Nov 24, 2011 at 11:56:16PM +0100, Julien Cristau wrote:
> On Tue, Nov 22, 2011 at 00:22:57 +0100, Julien Cristau wrote:
> > On Sun, Jun 19, 2011 at 16:30:19 +0200, Leo 'costela' Antunes wrote:
> > 
> > > I uploaded a new version of libevent to experimental which I'd like to
> > > migrate to unstable as soon as possible. Since I'm the new guy helping
> > > out with libevent and since this would be my first "bigish" transition,
> > > I'd like to run it by the release team to make sure I'm not stepping on
> > > anyone's toes.
> > > 
> > Sorry for the delay.  I'd like iceweasel 8 to get to testing first, but
> > once that's done we should finally be able to do this.
> > 
> Should be all good now.
> 
> Cheers,
> Julien

I'll upload 2.0.x to upstable soon.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Julien Cristau <julien.cristau@logilab.fr> to control@bugs.debian.org. (Mon, 28 Nov 2011 09:39:21 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 648010, 648031, 648023, 647994, 648015, 648039, 647992, 648035, 648008, 647996, 648018, and 648032 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:24:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 622278 and 650670 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 01 Dec 2011 19:09:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 650825 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 17:27:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 650812 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 17:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Sat, 03 Dec 2011 17:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Dec 2011 17:33:17 GMT) Full text and rfc822 format available.

Message #69 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org
Cc: Leo 'costela' Antunes <costela@debian.org>, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Sat, 3 Dec 2011 18:32:53 +0100
On Fri, Nov 25, 2011 at 10:15:41 +1100, Anibal Monsalve Salazar wrote:

> I'll upload 2.0.x to upstable soon.

Rebuilds of dependent packages have been scheduled, with these missing
bits:
- chromium-browser: needs a fix for #647992
- getstream: #622278
- honeyd: #632765
- ladvd: #650670
- python-event: #632763
- transmission: #650812
- gearmand: #650825

Getting those fixed quickly would be appreciated.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Wed, 07 Dec 2011 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 18:03:06 GMT) Full text and rfc822 format available.

Message #74 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org
Cc: Leo 'costela' Antunes <costela@debian.org>, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Wed, 7 Dec 2011 19:02:28 +0100
On Sat, Dec  3, 2011 at 18:32:53 +0100, Julien Cristau wrote:

> On Fri, Nov 25, 2011 at 10:15:41 +1100, Anibal Monsalve Salazar wrote:
> 
> > I'll upload 2.0.x to upstable soon.
> 
> Rebuilds of dependent packages have been scheduled, with these missing
> bits:
> - chromium-browser: needs a fix for #647992

Fixed today.

> - getstream: #622278
> - honeyd: #632765
> - ladvd: #650670
> - python-event: #632763
> - transmission: #650812
> - gearmand: #650825
> 
These still need some action.  Anyone?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Wed, 07 Dec 2011 19:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 19:48:13 GMT) Full text and rfc822 format available.

Message #79 received at 631018@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org, "Leo 'costela' Antunes" <costela@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Wed, 07 Dec 2011 14:47:12 -0500
Well, I've taken a bit of a look at python-event.  Unfortunately, it
looks like it simply doesn't support libevent2.  It seems to dig into
the bufferevent structs a lot in ways that have changed between libevent
1.x and 2.x.  There was a release this year after a several year gap,
but as far as I can tell that mostly just dealt with problems with
libevent 1.4.14.  Even including all the headers to enable compatibility
and exposed structs it doesn't build.  I can't entirely tell why because
I don't really know cython that well, and the generated c code involves
a lot ofopaqueness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Wed, 07 Dec 2011 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 21:45:08 GMT) Full text and rfc822 format available.

Message #84 received at 631018@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Wed, 07 Dec 2011 22:41:45 +0100
Hi,

On 07/12/11 19:02, Julien Cristau wrote:
>> - getstream: #622278
>> - honeyd: #632765
>> - ladvd: #650670
>> - python-event: #632763
>> - transmission: #650812

I'm also the maintainer here, but the version currently in experimental
is blocked by a build-dep on libminiupnpc-dev (>= 1.6) (which is also
only in experimental). I guess the quickest way to fix this would be
uploading an older version of transmission which already builds with
libevent 2, but doesn't need libminiupnpc 1.6.

>> - gearmand: #650825
>>
> These still need some action.  Anyone?

I'm unfortunatelly a bit swamped to deal with the other issues, but I'll
try to get to them as soon as practicable.


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Removed blocking bug(s) of 631018: 632765 Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 00:24:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631018: 651463 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 20:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Sat, 17 Dec 2011 11:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 17 Dec 2011 11:15:22 GMT) Full text and rfc822 format available.

Message #93 received at 631018@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org
Cc: Leo 'costela' Antunes <costela@debian.org>, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Sat, 17 Dec 2011 12:14:07 +0100
Quick update on the libevent2 transition:

On Sat, Dec  3, 2011 at 18:32:53 +0100, Julien Cristau wrote:

> On Fri, Nov 25, 2011 at 10:15:41 +1100, Anibal Monsalve Salazar wrote:
> 
> > I'll upload 2.0.x to upstable soon.
> 
> Rebuilds of dependent packages have been scheduled, with these missing
> bits:
> - chromium-browser: needs a fix for #647992

Fixed, waiting for libwebp, should be ok in a couple days.

> - getstream: #622278

NMUed.

> - honeyd: #632765

#651463

> - ladvd: #650670

Still unfixed.

> - python-event: #632763

Still unfixed.

> - transmission: #650812

That bug is fixed, but migration is still blocked by #642538.

> - gearmand: #650825

Still unfixed.

In addition, bitlbee turned out to not be binNMUable (#651612), so it
needed a new upload.

Once transmission is fixed in testing I'll probably look at removing the
remaining packages.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631018; Package release.debian.org. (Sat, 17 Dec 2011 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 17 Dec 2011 13:09:05 GMT) Full text and rfc822 format available.

Message #98 received at 631018@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Anibal Monsalve Salazar <anibal@debian.org>, 631018@bugs.debian.org, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Sat, 17 Dec 2011 13:11:37 +0100
On 17/12/11 12:14, Julien Cristau wrote:
>> - transmission: #650812
> 
> That bug is fixed, but migration is still blocked by #642538.

Sorry, this is actually fixed in the package, but I left the bug open
because I wanted to find a proper fix for upstream (the debian patch
turned out to be a bad solution for the general case).
Will mark as fixed to get things going.

> Once transmission is fixed in testing I'll probably look at removing the
> remaining packages.

Huge thanks for all the work!


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 20 Dec 2011 22:18:04 GMT) Full text and rfc822 format available.

Notification sent to Leo 'costela' Antunes <costela@debian.org>:
Bug acknowledged by developer. (Tue, 20 Dec 2011 22:18:04 GMT) Full text and rfc822 format available.

Message #103 received at 631018-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Anibal Monsalve Salazar <anibal@debian.org>, 631018-done@bugs.debian.org
Cc: Leo 'costela' Antunes <costela@debian.org>, Sam Hartman <hartmans@debian.org>
Subject: Re: Bug#631018: [RFC] libevent 2.0 transition
Date: Tue, 20 Dec 2011 23:14:51 +0100
On Sat, Dec 17, 2011 at 12:14:07 +0100, Julien Cristau wrote:

> > - honeyd: #632765
> 
> #651463
> 
> > - ladvd: #650670
> 
> Still unfixed.
> 
> > - python-event: #632763
> 
> Still unfixed.
> 
The above 3 packages are removed from testing.

> > - gearmand: #650825
> 
> Still unfixed.
> 
And I'll remove this one and mod-gearman tomorrow, so this is
essentially done, closing.

Cheers,
Julien




Bug 647992 cloned as bug 654186. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 Jan 2012 09:54:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jan 2012 07:36:27 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 19:27:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 631018: 647992 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 19:27:08 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 631018: 647992 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 23:36:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:36:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:51:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.